Should be popularity-contest package a part of Ubuntu installer media?

Bug #1711420 reported by Chris Rainey on 2017-08-17
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
popularity-contest (Ubuntu)
Undecided
Unassigned

Bug Description

Since the removal of the 'opt-in' or was it an 'opt-out' dialog in older versions of the Ubuntu(d-i) installer, I have _manually_ enabled the popcon utility via:

$ sudo dpkg-reconfigure popularity-contest

I notice that the website: https://popcon.ubuntu.com/ seems to be mostly unmaintained or perhaps abandoned(!?).

Is this utility really helpful to the Ubuntu Dev's? Should I continue to _manually_ enable it after each install, as I have for over 5+ years?

If not, can it be removed from the 'ubuntu-standard' package depends?

Please let me know if this is still a useful item to keep on my post-install checklist.

Thank you!

ProblemType: Bug
DistroRelease: Ubuntu 17.04
Package: popularity-contest 1.64ubuntu2
ProcVersionSignature: Ubuntu 4.10.0-32.36-generic 4.10.17
Uname: Linux 4.10.0-32-generic x86_64
ApportVersion: 2.20.4-0ubuntu4.5
Architecture: amd64
CurrentDesktop: GNOME
Date: Thu Aug 17 12:06:39 2017
EcryptfsInUse: Yes
InstallationDate: Installed on 2017-08-08 (8 days ago)
InstallationMedia: Ubuntu-GNOME 17.04 "Zesty Zapus" - Release amd64 (20170412)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: popularity-contest
UpgradeStatus: No upgrade log present (probably fresh install)

Chris Rainey (ckrzen) wrote :
dino99 (9d9) wrote :

That version is now dead
http://news.softpedia.com/news/ubuntu-17-04-zesty-zapus-has-reached-end-of-life-upgrade-to-ubuntu-17-10-now-519360.shtml

Why reporting here, as its an internal canonical spyer, and not on the user side.
Better to get contact on the mailing list or irc.

Changed in popularity-contest (Ubuntu):
status: New → Invalid
Chris Rainey (ckrzen) wrote :

@dino99: I feel that you have misunderstood my concern, comments & question.

1. I _did_ post on IRC & mail list before filing this bug.

2. The 'internal spyer' used to be a part of the user-installer!

3. The tool is still being packaged in 'artful'& bionic': https://packages.ubuntu.com/search?keywords=popularity-contest&searchon=names&suite=all&section=all

If it not being maintained or needed, then --- let's remove it!

If it is _useful_ to the Dev's, then --- say so and I will continue to activate it!

Tehnick (tehnick) on 2018-01-16
Changed in popularity-contest (Ubuntu):
status: Invalid → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in popularity-contest (Ubuntu):
status: New → Confirmed
Tehnick (tehnick) on 2018-01-16
description: updated
Changed in popularity-contest (Ubuntu):
status: Confirmed → New
Tehnick (tehnick) wrote :

This package in Ubuntu is not properly maintained for many years.
Probably it should be deleted at all.

summary: - Is popcon.ubuntu.com still needed?
+ Should be popularity-contest package a part of Ubuntu installer media?
dino99 (9d9) wrote :

To let you known: this is maintained (see changelog):

popularity-contest (1.65ubuntu1) bionic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Set debconf question priority from "high" to "medium"
    - Remove mail-transport-agent recommends
    - Branding changes in the description and homepage
    - Upload uncompressed reports
    - Set submiturls to popcon.ubuntu.com
    - Set email addresses to point to ubuntu.com
    - Don't encrypt reports the ubuntu server doesn't handle that
    - Really upload uncompressed reports (LP 1545515) and check for
      server response of "Thanks" (LP 1545517).

 -- Julian Andres Klode <email address hidden> Wed, 17 Jan 2018 11:19:13 +0100

popularity-contest (1.65) unstable; urgency=low

  * Please note when reading stats that Stretch was released with 1.64.
  * popanal.py, gensections.pl, popcon.pl:
    - Read Packages.xz instead of Packages.gz.
  * debian/cron.daily:
    - Make sure /var/log/popularity-contest stay in clear text,
      otherwise tools like popcon-largest-unused breaks.
      Closes: #850568. Thanks Celelibi.
    - "encryption" was misspelt. Thanks Brian Murray. Closes: #816032
  * debian/postinst:
    - generate_id: use /proc/sys/kernel/random/uuid when available.
      do not use md5sum. Thanks Sacrificial. Closes: #854712
  * debian/control:
    - Updated Standards-Version from 3.9.6 to 3.9.8. No change needed.
    - Move to debhelper v9
  * Fix for debconf Russian translation by Aлeкceй Шилин. Closes: #863017

 -- Bill Allombert <email address hidden> Sat, 17 Jun 2017 13:30:03 +0200

And the manpage is clear enough:
http://manpages.ubuntu.com/manpages/artful/man8/popularity-contest.8.html

That said, the 'opt-in' removal you are pointing, is the normal usual app life evolution that user have to understand.

There is no bug here, only your old routine you can discuss with devs on askubuntu if you still need.

dino99 (9d9) on 2018-01-18
Changed in popularity-contest (Ubuntu):
status: New → Incomplete
Tehnick (tehnick) wrote :

My pessimism about this package in Ubuntu is based not only on the history of its updates [1] but also on noticeable amount of messages about its issues in mailing list [2] of Popcon developers which I am reading since the begining of 2013.

I am glad to see that after my comment from 16 Jan 2018 this package was finally updated. Let's hope that this is not only one upload and the package will be in a good shape in the future.

[1] Updates:
    * 1.64ubuntu2 -- 26 Feb 2016
    * 1.64ubuntu1 -- 29 Oct 2015
    * 1.57ubuntu1 -- 07 May 2013
[2] https://lists.alioth.debian.org/cgi-bin/mailman/listinfo/popcon-developers

Agreed!

On Thu, Jan 18, 2018 at 2:05 AM Tehnick <email address hidden> wrote:

> My pessimism about this package in Ubuntu is based not only on the
> history of its updates [1] but also on noticeable amount of messages
> about its issues in mailing list [2] of Popcon developers which I am
> reading since the begining of 2013.
>
> I am glad to see that after my comment from 16 Jan 2018 this package was
> finally updated. Let's hope that this is not only one upload and the
> package will be in a good shape in the future.
>
> [1] Updates:
> * 1.64ubuntu2 -- 26 Feb 2016
> * 1.64ubuntu1 -- 29 Oct 2015
> * 1.57ubuntu1 -- 07 May 2013
> [2]
> https://lists.alioth.debian.org/cgi-bin/mailman/listinfo/popcon-developers
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1711420
>
> Title:
> Should be popularity-contest package a part of Ubuntu installer media?
>
> Status in popularity-contest package in Ubuntu:
> Incomplete
>
> Bug description:
> Since the removal of the 'opt-in' or was it an 'opt-out' dialog in
> older versions of the Ubuntu(d-i) installer, I have _manually_ enabled
> the popcon utility via:
>
> $ sudo dpkg-reconfigure popularity-contest
>
> I notice that the website: https://popcon.ubuntu.com/ seems to be
> mostly unmaintained or perhaps abandoned(!?).
>
> Is this utility really helpful to the Ubuntu Dev's? Should I continue
> to _manually_ enable it after each install, as I have for over 5+
> years?
>
> If not, can it be removed from the 'ubuntu-standard' package depends?
>
> Please let me know if this is still a useful item to keep on my post-
> install checklist.
>
> Thank you!
>
> ProblemType: Bug
> DistroRelease: Ubuntu 17.04
> Package: popularity-contest 1.64ubuntu2
> ProcVersionSignature: Ubuntu 4.10.0-32.36-generic 4.10.17
> Uname: Linux 4.10.0-32-generic x86_64
> ApportVersion: 2.20.4-0ubuntu4.5
> Architecture: amd64
> CurrentDesktop: GNOME
> Date: Thu Aug 17 12:06:39 2017
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2017-08-08 (8 days ago)
> InstallationMedia: Ubuntu-GNOME 17.04 "Zesty Zapus" - Release amd64
> (20170412)
> PackageArchitecture: all
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: popularity-contest
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/popularity-contest/+bug/1711420/+subscriptions
>

Tehnick (tehnick) wrote :

Some news:
1) Ubuntu Popcon was mentioned in announce:
   https://lists.ubuntu.com/archives/ubuntu-devel/2018-February/040139.html
2) Debian Popcon mailing list migrated to:
   https://lists.debian.org/debian-popcon/

Chris Rainey (ckrzen) wrote :

Awesome, thanks!

On Thu, Feb 15, 2018 at 7:05 AM Tehnick <email address hidden> wrote:

> Some news:
> 1) Ubuntu Popcon was mentioned in announce:
>
> https://lists.ubuntu.com/archives/ubuntu-devel/2018-February/040139.html
> 2) Debian Popcon mailing list migrated to:
> https://lists.debian.org/debian-popcon/
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1711420
>
> Title:
> Should be popularity-contest package a part of Ubuntu installer media?
>
> Status in popularity-contest package in Ubuntu:
> Incomplete
>
> Bug description:
> Since the removal of the 'opt-in' or was it an 'opt-out' dialog in
> older versions of the Ubuntu(d-i) installer, I have _manually_ enabled
> the popcon utility via:
>
> $ sudo dpkg-reconfigure popularity-contest
>
> I notice that the website: https://popcon.ubuntu.com/ seems to be
> mostly unmaintained or perhaps abandoned(!?).
>
> Is this utility really helpful to the Ubuntu Dev's? Should I continue
> to _manually_ enable it after each install, as I have for over 5+
> years?
>
> If not, can it be removed from the 'ubuntu-standard' package depends?
>
> Please let me know if this is still a useful item to keep on my post-
> install checklist.
>
> Thank you!
>
> ProblemType: Bug
> DistroRelease: Ubuntu 17.04
> Package: popularity-contest 1.64ubuntu2
> ProcVersionSignature: Ubuntu 4.10.0-32.36-generic 4.10.17
> Uname: Linux 4.10.0-32-generic x86_64
> ApportVersion: 2.20.4-0ubuntu4.5
> Architecture: amd64
> CurrentDesktop: GNOME
> Date: Thu Aug 17 12:06:39 2017
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2017-08-08 (8 days ago)
> InstallationMedia: Ubuntu-GNOME 17.04 "Zesty Zapus" - Release amd64
> (20170412)
> PackageArchitecture: all
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: popularity-contest
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/popularity-contest/+bug/1711420/+subscriptions
>

Launchpad Janitor (janitor) wrote :

[Expired for popularity-contest (Ubuntu) because there has been no activity for 60 days.]

Changed in popularity-contest (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers